#
# spec file for package qlogic-firmware (Version 1.0)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           qlogic-firmware
Url:            ftp://ftp.qlogic.com/outgoing/linux/firmware
License:        "Copyright (c)  2003-2006 QLogic Corporation ..."
Group:          Hardware/Other
AutoReqProv:    on
Summary:        Firmware files for Qlogic FibreChannel Cards (QLA2XXX Series)
Source0:        LICENSE
Source1:        CURRENT_VERSIONS
Source11:       ql2100_fw.bin
Source12:       ql2200_fw.bin
Source13:       ql2300_fw.bin
Source14:       ql2322_fw.bin
Source15:       ql2400_fw.bin
Source16:       ql2500_fw.bin
Version:        1.0
Release:        13.23.1
# Install into this non-root directory (required when norootforbuild is used):
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%define _datadir /lib/firmware
# Modules: qla2xxx.ko
Supplements:    modalias(pci:v00001077d00002[123]00sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00001077d000023[12]2sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00001077d000024[23]2sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00001077d00002532sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00001077d000054[23]2sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00001077d000063[12]2sv*sd*bc*sc*i*)
# Generated with: extract-modaliases -i qla* kernel-default.rpm

%prep
cp %{S:0} .
cp %{S:1} .

%build
# There is nothing to build.

%install
# The firmware files must be installed in /lib/firmware
# because the firmware loader from udev searches there
mkdir -p %{buildroot}%{_datadir}
install -m 644 %{S:11} %{S:12} %{S:13} %{S:14} %{S:15} %{S:16} %{buildroot}%{_datadir}

%files
%defattr(-,root,root)
%doc LICENSE CURRENT_VERSIONS
%{_datadir}/

%description
Firmware files for the QLogic QLA2XXX Series of FibreChannel HBA
Adapters.

For the current version of the individual firmware files please check
the CURRENT_VERSIONS file in /usr/share/doc/packages/qlogic-firmware/

For the license see the LICENSE file in
/usr/share/doc/packages/qlogic-firmware/



Authors:
--------
    Andrew Vasquez <andrew.vasquez@qlogic.com>

%changelog
* Tue Feb  2 2010 hare@suse.de
- Update firmware (bnc#557031)
* Mon Jul 20 2009 hare@suse.de
- Update firmware for qla2500 to version 4.04.09 (bnc#517024)
- Remove obsolete firmware for qla6312
* Mon Jun 29 2009 hare@suse.de
- Update firmware for qla2400 to version 4.04.09 (bnc#516997)
* Mon May 11 2009 hare@suse.de
- Update firmware for SP3 (bnc#496700,FATE#305972)
* Fri Apr  4 2008 hare@suse.de
- Update firmware for qla2400 and qla2500 (bnc#372530)
* Thu Mar 13 2008 bwalle@suse.de
- use the MID versions of the firmware for qla2400 and qla2500
  (bnc#364736)
* Fri Dec  7 2007 hare@suse.de
- Update firmware for SP2 (309349)
- Add additional PCI IDs to Supplements: rpm directive
* Mon Jan  8 2007 hare@suse.de
- Update firmware (201689).
* Tue Mar  7 2006 agruen@suse.de
- Add modalias tags (155357).
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 19 2006 hare@suse.de
- Initial package
